Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class TextStyle

    java.lang.Object
      org.pdfclown.documents.contents.TextStyle

    public final class TextStyle

extends Object

Text style.

Since:
  0.0.8
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`TextStyle(Font font, double fontSize, TextRenderModeEnum renderMode, Color<?> strokeColor, ColorSpace<?> strokeColorSpace, Color<?> fillColor, ColorSpace<?> fillColorSpace)`

Method Summary
`Color<?>` | `getFillColor()`
`ColorSpace<?>` | `getFillColorSpace()`
`Font` | `getFont()`
`double` | `getFontSize()`
`TextRenderModeEnum` | `getRenderMode()`
`Color<?>` | `getStrokeColor()`
`ColorSpace<?>` | `getStrokeColorSpace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextStyle

    public TextStyle(Font font,
                     double fontSize,
                     TextRenderModeEnum renderMode,
                     Color<?> strokeColor,
                     ColorSpace<?> strokeColorSpace,
                     Color<?> fillColor,
                     ColorSpace<?> fillColorSpace)

Method Detail

### getFillColor

    public Color<?> getFillColor()

### getFillColorSpace

    public ColorSpace<?> getFillColorSpace()

### getFont

    public Font getFont()

### getFontSize

    public double getFontSize()

### getRenderMode

    public TextRenderModeEnum getRenderMode()

### getStrokeColor

    public Color<?> getStrokeColor()

### getStrokeColorSpace

    public ColorSpace<?> getStrokeColorSpace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.